### Method

# Vips Image init_fields

#### Declaration [src]

    void
    vips_image_init_fields (
      VipsImage* image,
      int xsize,
      int ysize,
      int bands,
      VipsBandFormat format,
      VipsCoding coding,
      VipsInterpretation interpretation,
      double xres,
      double yres
    )

#### Description [src]

A convenience function to set the header fields after creating an image. Normally you copy the fields from your input images with [method.Image.pipelinev] and then make any adjustments you need, but if you are creating an image from scratch, for example `vips_black()` or `vips_jpegload()`, you do need to set all the fields yourself.

See also

[method.Image.pipelinev].

#### Parameters

`xsize`

  Type: `int`

  Image width.

`ysize`

  Type: `int`

  Image height.

`bands`

  Type: `int`

  Image bands.

`format`

  Type: `VipsBandFormat`

  Band format.

`coding`

  Type: `VipsCoding`

  Image coding.

`interpretation`

  Type: `VipsInterpretation`

  Image type.

`xres`

  Type: `double`

  Horizontal resolution, pixels per millimetre.

`yres`

  Type: `double`

  Vertical resolution, pixels per millimetre.